Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Widget API
cURL
curl --request PATCH \ --url 'https://api.moonpay.com/v1/virtual-accounts/onramp/{id}?apiKey=' \ --header 'Content-Type: application/json' \ --data ' { "destinationCurrencyCode": "<string>" } '
import requests url = "https://api.moonpay.com/v1/virtual-accounts/onramp/{id}?apiKey=" payload = { "destinationCurrencyCode": "<string>" } headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({destinationCurrencyCode: '<string>'}) }; fetch('https://api.moonpay.com/v1/virtual-accounts/onramp/{id}?apiKey=', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.moonpay.com/v1/virtual-accounts/onramp/{id}?apiKey=", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'destinationCurrencyCode' => '<string>' ]), CURLOPT_HTTPHEADER => [ "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.moonpay.com/v1/virtual-accounts/onramp/{id}?apiKey=" payload := strings.NewReader("{\n \"destinationCurrencyCode\": \"<string>\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://api.moonpay.com/v1/virtual-accounts/onramp/{id}?apiKey=") .header("Content-Type", "application/json") .body("{\n \"destinationCurrencyCode\": \"<string>\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.moonpay.com/v1/virtual-accounts/onramp/{id}?apiKey=") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"destinationCurrencyCode\": \"<string>\"\n}" response = http.request(request) puts response.read_body
{ "createdAt": "<string>", "customerId": "<string>", "destination": {}, "destinationCurrency": {}, "id": "<string>", "organizationId": "<string>", "sourceCurrency": {}, "status": "pending", "type": "auto_on_ramp", "updatedAt": "<string>", "destinations": [ "<unknown>" ], "externalCustomerId": "<string>", "source": "<unknown>", "sources": [ "<unknown>" ] }
API Key authentication using a publishable API key in the query string. The key is passed as the apiKey query parameter. Publishable keys are safe to expose in client-side code.
apiKey
[^\/#\?]+?
UpdateOnRampVirtualAccountBody
Show child attributes
20
\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d.\d+Z?
pending
completed
failed
manual_review
auto_on_ramp
auto_off_ramp